function chi2=chi2_simple(xarg);

global tmix
global noise_diag_pk noise_cross_pk
global calc_diag_noise calc_cross_noise
global err2n


k1=xarg(1);
k2=xarg(1)/1.1;			
R1_Nz_H=abs(xarg(3));		
R1_Nz_D=abs(xarg(4));
a0_H=xarg(5);
a0_D=xarg(6);
b0_H=0;
b0_D=xarg(7);

 
L_mix = [(- R1_Nz_H - k1) k2; 
          k1 (-R1_Nz_D - k2)];
		
rho0_diag = [a0_H;b0_H];
rho0_cross = [b0_D;a0_D];

for i=1:length(tmix)
  
    prop_mx=expm(L_mix*tmix(i));
    
    rho_diag=prop_mx*rho0_diag;
    rho_cross=prop_mx*rho0_cross;

   calc_diag_noise(i)=rho_diag(1);
   calc_cross_noise(i)=rho_cross(1);
   
end;

chi2=sum((calc_diag_noise-noise_diag_pk').^2) + sum((calc_cross_noise-noise_cross_pk').^2);   
err2n=sqrt(chi2);

rsp=a0_D/a0_H;

if rsp>5 
  drsp=rsp-5; 
  penalty=(drsp*1e8)^2;
  chi2=chi2+penalty;
end;
if rsp<0.5 
  drsp=0.5-rsp; 
  penalty=(drsp*1e8)^2;
  chi2=chi2+penalty;
end;

